Subject: Re: [bitcoin-dev] Contradiction in BIP65 text?

From: Gregory Maxwell <[email-masked]>
Date: Fri, 13 Nov 2015 21:53:57 +0000

On Fri, Nov 13, 2015 at 9:48 PM, xor via bitcoin-dev
<[email-masked]> wrote:
> BIP65 [1] says this:
>> Motivation
>> [...]
>> However, the nLockTime field can't prove that it is impossible to spend a
>> transaction output until some time in the future, as there is no way to
>> know if a valid signature for a different transaction spending that output
>> has been created.
>
> I'd interpret "can't prove that it is impossible to spend" = cannot be used
> for freezing funds.
>
> Then later, at "Motivation", it says:
>> Freezing Funds
>>
>> In addition to using cold storage, hardware wallets, and P2SH multisig
>> outputs to control funds, now funds can be frozen in UTXOs directly on the
>> blockchain.
>
> This clearly says that funds can be frozen.
> Can the BIP65-thing be used to freeze funds or can it not be?
>
> Notice: I am by no means someone who is able to read Bitcoin script. I'm
> rather an end user. So maybe I'm misinterpreting the document?
> I'm nevertheless trying to provide a "neutral" review from an outsider who's
> trying to understand whats new in 0.11.2.
> You may want to discard my opinion if you think that BIP65 is aimed at an
> audience with more experience.

The first text is explaining nlocktime without BIP65 in order to
explain the reason for having BIP65.